| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Num.InputOutputElementDefinitionDto< ElementType > Class Template Reference

DTO (data transfer object) for data element definition. More...

Inheritance diagram for IG.Num.InputOutputElementDefinitionDto< ElementType >:
[legend]
Collaboration diagram for IG.Num.InputOutputElementDefinitionDto< ElementType >:
[legend]

## Public Member Functions
| InputOutputElementDefinitionDto ()
override ElementType | CreateObject ()
| Creates and returns an object consistent with current DTO. More...

## Public Attributes
string | Name
| Unique name of the data element described by the current definition. Considered a kind of variable name that distinguishes between data by short names. More...
string | NameAlt
| Alternative name of the data element described by the current definition. More...
string | Title
| A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions. More...
string | Description
| Describes the meaning of a data element used as part of input or output data. More...
bool | IsInput
| Flag specifying whether a data element is input or output element. More...
bool | ElementIndexSpecified = false
| Specifies whether element index is specified for the data element described by the current definition. More...
int | ElementIndex = -1
| Specifies the index f the element described by the current definition, within the data vextor (either input or output). More...
bool | BoundsDefined = false
| Flag indicating whethe minimal and maximal value are defined for the input data element described by the current definition. More...
double | MinimalValue
| Minimal value for the output data element described by the current definition. More...
double | MaximalValue
| Maximal value for the output data element described by the current definition. More...
bool | TargetValueDefined = false
| Flag indicating whether target value is defined for the data element described by the current definition. More...
double | TargetValue = 0.0
| Target value of the current element. Used for optimization. More...
bool | ScalingLengthDefined = false
| Flag indicating whether scaling length is defined for the data element described by the current definition. More...
double | ScalingLength = 0.0
| Scaling length, used for optimization and other tasks where scaling of input or output quantities is important. More...

## Protected Member Functions
override void | CopyFromPlain (InputOutputElementDefinition obj)
| Copies data from the specified object to the current DTO (data transfer object). More...
override void | CopyToPlain (ref InputOutputElementDefinition obj)
| Copies data from the current DTO to the specified object. More...

## Detailed Description

DTO (data transfer object) for data element definition.

Template Parameters

  ElementType | Actual type of the object whose data is represented by the current DTO.

$A Ifor Mar11;

Type Constraints

  ElementType | : | InputOutputElementDefinition |

## Constructor & Destructor Documentation

IG.Num.InputOutputElementDefinitionDto< ElementType >.InputOutputElementDefinitionDto | ( |  | ) |
| inline

## Member Function Documentation

override ElementType IG.Num.InputOutputElementDefinitionDto< ElementType >.CreateObject | ( |  | ) |
| inline

Creates and returns an object consistent with current DTO.

override void IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain | ( | InputOutputElementDefinition | obj | ) |
| inline protected

Copies data from the specified object to the current DTO (data transfer object).

Parameters

  obj | Object that data is copied from.

References IG.Num.InputOutputElementDefinition.BoundsDefined, IG.Num.InputOutputElementDefinition.Description, IG.Num.InputOutputElementDefinition.ElementIndex, IG.Num.InputOutputElementDefinition.ElementIndexSpecified, IG.Num.InputOutputElementDefinition.IsInput, IG.Num.InputOutputElementDefinition.MaximalValue, IG.Num.InputOutputElementDefinition.MinimalValue, IG.Num.InputOutputElementDefinition.Name, IG.Num.InputOutputElementDefinition.NameAlt, IG.Num.InputOutputElementDefinition.ScalingLength, IG.Num.InputOutputElementDefinition.ScalingLengthDefined, IG.Num.InputOutputElementDefinition.TargetValue, IG.Num.InputOutputElementDefinition.TargetValueDefined, and IG.Num.InputOutputElementDefinition.Title.

override void IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyToPlain | ( | ref InputOutputElementDefinition | obj | ) |
| inline protected

Copies data from the current DTO to the specified object.

Parameters

  obj | Object that data is copied to.

## Member Data Documentation

string IG.Num.InputOutputElementDefinitionDto< ElementType >.Name

Unique name of the data element described by the current definition. Considered a kind of variable name that distinguishes between data by short names.

There is an agreement that element names should follow conventions for valid variable names in programming languages C++, C# and Java.

string IG.Num.InputOutputElementDefinitionDto< ElementType >.NameAlt

Alternative name of the data element described by the current definition.

Used in transformations between different data sets where parameters may be named differently.

There is an agreement that element names should follow conventions for valid variable names in programming languages C++, C# and Java.

string IG.Num.InputOutputElementDefinitionDto< ElementType >.Title

A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions.

string IG.Num.InputOutputElementDefinitionDto< ElementType >.Description

Describes the meaning of a data element used as part of input or output data.

bool IG.Num.InputOutputElementDefinitionDto< ElementType >.IsInput

Flag specifying whether a data element is input or output element.

bool IG.Num.InputOutputElementDefinitionDto< ElementType >.ElementIndexSpecified = false

Specifies whether element index is specified for the data element described by the current definition.

remarks>If not specified, then by agreement the ElementIndex is set to -1. Getter of this property automatically set ElementIndex to -1 if the property is set to false.

int IG.Num.InputOutputElementDefinitionDto< ElementType >.ElementIndex = -1

Specifies the index f the element described by the current definition, within the data vextor (either input or output).

remarks>If not specified, then by agreement the ElementIndex is set to -1. Getter of this property automatically set ElementIndexSpecified flag to false if the property is set to less than 0, and to true otherwise.

bool IG.Num.InputOutputElementDefinitionDto< ElementType >.BoundsDefined = false

Flag indicating whethe minimal and maximal value are defined for the input data element described by the current definition.

double IG.Num.InputOutputElementDefinitionDto< ElementType >.MinimalValue

Minimal value for the output data element described by the current definition.

double IG.Num.InputOutputElementDefinitionDto< ElementType >.MaximalValue

Maximal value for the output data element described by the current definition.

bool IG.Num.InputOutputElementDefinitionDto< ElementType >.TargetValueDefined = false

Flag indicating whether target value is defined for the data element described by the current definition.

double IG.Num.InputOutputElementDefinitionDto< ElementType >.TargetValue = 0.0

Target value of the current element. Used for optimization.

bool IG.Num.InputOutputElementDefinitionDto< ElementType >.ScalingLengthDefined = false

Flag indicating whether scaling length is defined for the data element described by the current definition.

double IG.Num.InputOutputElementDefinitionDto< ElementType >.ScalingLength = 0.0

Scaling length, used for optimization and other tasks where scaling of input or output quantities is important.

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDto.cs